### Method

# FwupdPlugin Plugin add_udev_subsystem

since: 1.6.2

#### Declaration [src]

    void
    fu_plugin_add_udev_subsystem (
      FuPlugin* self,
      const gchar* subsystem
    )

#### Description [src]

Registers the udev subsystem to be watched by the daemon.

Plugins can use this method only in fu_plugin_init().

Available since: 1.6.2

#### Parameters

`subsystem`

  Type: `const gchar*`

  A subsystem name, e.g. `pciport`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.